## svgwrite 1.4.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/svgwrite.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/svgwrite.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/svgwrite"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/svgwrite"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## svgwrite 1.1.8

=== debian/changelog ===
svgwrite (1.1.8-2) unstable; urgency=medium

  * Team upload.
  * debian/control
    - add pyparsing to b-d; Closes: #829415

 -- Sandro Tosi <morph@debian.org>  Tue, 10 Jan 2017 19:36:41 -0500

svgwrite (1.1.8-1) unstable; urgency=medium

  * Initial release (Closes: #828974)

 -- Steffen Moeller <moeller@debian.org>  Wed, 29 Jun 2016 12:31:34 +0200

=== debian/control ===
Source: svgwrite
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all (>= 2.6.6-3~),
	       python-pyparsing,
               python-setuptools,
               python3-all,
	       python3-pyparsing,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/svgwrite.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/svgwrite.git
Homepage: https://pypi.python.org/pypi/svgwrite
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-svgwrite
Architecture: all
Depends: python-pyparsing (>= 2.0.1), ${python:Depends}, ${misc:Depends}
Suggests: python-svgwrite-doc
Description: library to create SVG drawings (Python 2)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package installs the library for Python 2.

Package: python3-svgwrite
Architecture: all
Depends: python3-pyparsing (>= 2.0.1), ${python3:Depends}, ${misc:Depends}
Suggests: python-svgwrite-doc
Description: library to create SVG drawings (Python 3)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package installs the library for Python 3.

Package: python-svgwrite-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: library to create SVG drawings (common documentation)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package provides examples for the use of this library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
export DH_VERBOSE = 1

export PYBUILD_NAME=svgwrite

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_clean
	rm -rf svgwrite.egg-info .pybuild

override_dh_installexamples:
	dh_installexamples -X.bat

=== debian/watch ===
version=4

https://pypi.python.org/packages/source/s/svgwrite/ \
  svgwrite-(.+)\.tar\.gz debian uupdate

## svgwrite 1.2.1

=== debian/changelog ===
svgwrite (1.2.1-3) unstable; urgency=medium

  * Team upload
  * debian/tests/control:
      - export PYTHONPATH

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 19:48:33 -0200

svgwrite (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Build-Depends: Add python-pytest and python3-pytest
      - Bump Standards-Version from 4.2.1 to 4.3.0
  * debian/rules:
      - Run pytest
      - dh_clean: add .pytest_cache dir
  * debian/tests/control:
      - run pytest-3

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sat, 16 Feb 2019 13:36:27 -0200

svgwrite (1.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 1.2.1
    (Closes: #911711, #912155)

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Herbert Parentes Fortes Neto ]
  * debian/control:
      - Remove version number for python-all
  * debian/copyright:
      - Update
  * debian/rules:
      - dh_installdocs -XLICENSE.TXT
  * debian/tests:
      - Add CI test - upstream test
  * debian/watch:
      - Github repository

  [ David "foss.freedom" ]
  * DH_LEVEL: 11
  * debian/control:
      - Bump Standards-Version from 3.9.8 to 4.2.1
  * debian/python-svgwrite.docs:
      - Remove obsolete PKG-INFO

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Fri, 30 Nov 2018 14:34:53 -0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=11),
                dh-python,
-               python-all (>= 2.6.6-3~),
+               python-all,
 	       python-pyparsing,
+               python-pytest,
                python-setuptools,
                python3-all,
 	       python3-pyparsing,
+               python3-pytest,
                python3-setuptools
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/svgwrite.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/svgwrite.git
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/python-team/modules/svgwrite.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/svgwrite
 Homepage: https://pypi.python.org/pypi/svgwrite
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
 
 Package: python-svgwrite
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,13 +4,17 @@
 export DH_VERBOSE = 1
 
 export PYBUILD_NAME=svgwrite
+export PYBUILD_TEST_PYTEST = 1
 
 %:
 	dh $@  --with python2,python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_clean
-	rm -rf svgwrite.egg-info .pybuild
+	rm -rf svgwrite.egg-info .pybuild .pytest_cache
 
 override_dh_installexamples:
 	dh_installexamples -X.bat
+
+override_dh_installdocs:
+	dh_installdocs -XLICENSE.TXT

=== debian/tests/control ===
Test-Command: export PYTHONPATH=. ; pytest-3
Depends: @builddeps@

## svgwrite 1.3.1

=== debian/changelog ===
svgwrite (1.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Hudson-Doyle ]
  * d/gbp.conf: Set debian-branch to debian/master.
  * New upstream version.
  * d/patches/0001-ignore-svg-tag-at-pretty-print-testing.patch: cherry-pick
    fix from upstream for Python 3.8 compatibility.
  * 0002-disable-internet-test.patch: disable a test that accesses the
    internet. 
  * d/control: Add myself to uploaders.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 05 Feb 2020 22:38:52 +1300

svgwrite (1.2.1-4) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 02 Aug 2019 09:01:15 +0200

=== debian/control ===
Source: svgwrite
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Michael Hudson-Doyle <mwhudson@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3-all,
	       python3-pyparsing,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/svgwrite.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/svgwrite
Homepage: https://pypi.python.org/pypi/svgwrite

Package: python3-svgwrite
Architecture: all
Depends: python3-pyparsing (>= 2.0.1), ${python3:Depends}, ${misc:Depends}
Suggests: python-svgwrite-doc
Description: library to create SVG drawings (Python 3)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package installs the library for Python 3.

Package: python-svgwrite-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: library to create SVG drawings (common documentation)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package provides examples for the use of this library.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_TEST_PYTEST = 1
 
 %:
-	dh $@  --with python2,python3 --buildsystem=pybuild
+	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_clean

## svgwrite 1.4.1

=== debian/changelog ===
svgwrite (1.4.1-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Carsten Schoenert ]
  * d/gbp.conf: Add some more defaults
  * New upstream version 1.4.1
    This seems to be a final version, no further development will happen.
  * Rebuild patch queue from patch-queue branch
  * Running wrap-and-sort -ast
    Improve the readability by wrapping the files within the debian/ folder.
  * d/control: Update Homepage field to GitHub URL
  * d/control: Bump debhelper version to 13
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * d/control: Mark the -doc package Multi-Arch: foreign
  * d/control: Remove references to python3-pyparsing
  * d/copyright: Update upstream data
  * d/control: Adding entry Rules-Requires-Root: no
    This package needs no root rights while building.
  * d/rules: Don't use verbose mode
  * lintian: Adding override for python-svgwrite-doc
    The mentioned font files are part of the documentation, splitting this
    if is a bit of overkill. So let's ignore the two files.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Nov 2021 11:02:47 +0100

=== debian/control ===
Source: svgwrite
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Steffen Moeller <moeller@debian.org>,
 Michael Hudson-Doyle <mwhudson@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/svgwrite.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/svgwrite
Homepage: https://github.com/mozman/svgwrite

Package: python-svgwrite-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: library to create SVG drawings (common documentation)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package provides examples for the use of this library.

Package: python3-svgwrite
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-svgwrite-doc,
Description: library to create SVG drawings (Python 3)
 Programmatically create Scalable Vector Graphics (SVG).
 .
 This package installs the library for Python 3.

=== debian/tests/control ===
Test-Command: export PYTHONPATH=. ; pytest-3
Depends:
 @builddeps@,

## svgwrite 1.4.3

=== debian/changelog ===
svgwrite (1.4.3-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.3
  * d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * Lintian: Adjust the override ruling

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 16 Jul 2022 06:58:42 +0200

svgwrite (1.4.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.4.2
  * d/copyright: Update upstream copyright year

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 26 Mar 2022 11:44:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  python3-pytest,
  python3-setuptools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/svgwrite.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/svgwrite
 Homepage: https://github.com/mozman/svgwrite

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
-export DH_VERBOSE = 1
+#export DH_VERBOSE = 1
 
 export PYBUILD_NAME=svgwrite
 export PYBUILD_TEST_PYTEST = 1

=== debian/watch ===
version=4

#https://pypi.python.org/packages/source/s/svgwrite/ \
#  svgwrite-(.+)\.tar\.gz debian uupdate

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%svgwrite-$1.tar.gz%" \
https://github.com/mozman/svgwrite/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
